AAFWriterListener (Media Authoring with Java API)
Date: 2016-02-05

tv.amwa.maj.io.aaf

## Interface AAFWriterListener

- All Superinterfaces:
    org.apache.poi.poifs.filesystem.POIFSWriterListener

      public interface AAFWriterListener
      extends org.apache.poi.poifs.filesystem.POIFSWriterListener

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addIndexValue(String indexPath, PropertyValue indexValue)`
    `void` | `addProperty(String path, PropertyDefinition propertyDefinition, PropertyValue propertyValue)`
    `short` | `getLocalID(AUID propertyID)`
    `int` | `getReferencedPropertiesSize()`
    `void` | `registerLocalID(AUID propertyID, short localID)`
    `void` | `registerLocalID(PropertyDefinition property)`
    `void` | `registerStreamDocument(org.apache.poi.poifs.filesystem.DocumentEntry streamDocument, Stream stream)`
    `int` | `registerWeakType(TypeDefinitionWeakObjectReference weakType)`
    `void` | `setInterchangePath(String path)`

    - ### Methods inherited from interface org.apache.poi.poifs.filesystem.POIFSWriterListener

      `processPOIFSWriterEvent`

- - ### Method Detail

    - #### addProperty

          void addProperty(String path,
                           PropertyDefinition propertyDefinition,
                           PropertyValue propertyValue)
                    throws NullPointerException,
                           IllegalPropertyValueException

      Throws:
        `NullPointerException`
        `IllegalPropertyValueException`

    - #### registerWeakType

          int registerWeakType(TypeDefinitionWeakObjectReference weakType)
                        throws NullPointerException

      Throws:
        `NullPointerException`

    - #### getReferencedPropertiesSize

          int getReferencedPropertiesSize()

    - #### addIndexValue

          void addIndexValue(String indexPath,
                             PropertyValue indexValue)
                      throws NullPointerException

      Throws:
        `NullPointerException`

    - #### registerLocalID

          void registerLocalID(PropertyDefinition property)

    - #### registerLocalID

          void registerLocalID(AUID propertyID,
                               short localID)

    - #### getLocalID

          short getLocalID(AUID propertyID)

    - #### registerStreamDocument

          void registerStreamDocument(org.apache.poi.poifs.filesystem.DocumentEntry streamDocument,
                                      Stream stream)
                               throws NullPointerException

      Throws:
        `NullPointerException`

    - #### setInterchangePath

          void setInterchangePath(String path)
                           throws NullPointerException

      Throws:
        `NullPointerException`

(c)2007-2016 Richard Cartwright, all rights reserved. Licensed under Apache 2 license and subject to the AMWA IPR policy.